<h1 mat-dialog-title>Check out from room {{room.number}}</h1>
<form (ngSubmit)="onCheckoutClick()">
  <div mat-dialog-content>
    <p>You can provide your delayed checkout time or simple leave this field untouched to check out now.</p>
    <mat-form-field appearance="outline">
      <mat-label>Room check out time</mat-label>
      <input name="checkoutTime" matInput [(ngModel)]="checkoutTime" [ngxTimepicker]="picker" [format]="24"
             [min]="minCheckoutTime" [max]="now" (ngModelChange)="detectErrors()" readonly>
      <ngx-material-timepicker #picker></ngx-material-timepicker>
      <mat-hint *ngIf="inputInvalid" class="text-danger">Time cannot be in the future!</mat-hint>
    </mat-form-field>
  </div>
  <div mat-dialog-actions>
    <button mat-button type="button" (click)="onNoClick()">No Thanks</button>
    <button mat-button type="submit" color="accent" cdkFocusInitial [disabled]="inputInvalid">Check out</button>
  </div>
</form>
